/bills

Get bill payments that occurred on your bank accounts

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

📘

category is either airtime, mobile-data, cable-tv, or electricity.

Response Schema:

{
  "status": boolean,
  "message": string,
  "data": {
    "billPayments": [
      {
        "id": string,
        "amount": string,
        "vendor": {
          "id": string,
          "name": string,
        },
        "category": "airtime" | "mobile-data" | "cable-tv" | "electricity",
        "product": {
          "id": string,
          "name": string,
          "vendor": {
            "id": string,
            "name": string,
          },
          "amount": {
            "type": "fixed" | "range",
            "fixed": string | null,
            "minimum": string | null,
            "maximum": string | null,
          },
          "customerIdLabel": string,
          "category": "airtime" | "mobile-data" | "cable-tv" | "electricity",
          "commissionPercentage": string,
        },
        "details": {
          "customerId": string,
          "customerName": string,
        },
        "debitAccountId": string,
        "instructions": string | null,
        "initiatedAt": date-time,
        "status": "pending" | "successful" | "failed",
        "completedAt": date-time | null,
        "failedAt": date-time | null,
        "reasonForFailure": string | null,
        "clientReference": string | null,
        "transactionReference": string,
        "commission": string | null,
      }
    ],
    "meta": {
      "total": number,
      "pageCount": number,
      "perPage": number,
      "currentPage": number
    }
  }
}
Query Params
int32
Defaults to 1

The page to retrieve

date

Earliest date to filter from. Format: YYYY-MM-DD string

date

Latest date to filter to. Format: YYYY-MM-DD string

string
enum

Optional. Filter by the status. "pending" | "successful" | "failed"

Allowed:
string

Optional. Filter by the customer identifier e.g. for airtime, the identifier would be the customer's mobile number.

string

Optional. ID of a product to filter with

categories[]
array of strings

Optional. e.g. ?categories[]=airtime&categories[]=mobile-data

categories[]
vendorIds[]
array of strings

Optional. e.g. ?vendorIds[]=vendorId1&vendorIds[]=vendorId2

vendorIds[]
Response

Language
Credentials
Header
LoadingLoading…
Response
Choose an example:
application/json